Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.exchangegraph
Class IOContext

    java.lang.Object
      de.grogra.ext.exchangegraph.IOContext

    public class IOContext

extends java.lang.Object

The IOContext contains informations about import and export the exchange graph format.

If the same context is used for import and export you can use the same data, eg. give the same GroIMP nodes the same XEG node id, see `node map`. This is used for example in the OpenAlea plugin.

Author:
  Uwe Mannl

Field Summary
`static java.util.HashMap<java.lang.String,java.lang.String>` | `exportNodeTypes` Mapping of GroIMP node types to standard XEG node types.
`static java.util.HashMap<java.lang.String,java.lang.String>` | `importNodeTypes` Mapping of standard XEG node types to GroIMP node types.
`static java.util.HashMap<java.lang.Class,java.lang.Class>` | `xegNodeTypes` Mapping of GroIMP node types to XEG helper classes for import and export.

Constructor Summary
`IOContext()`

Method Summary
`BidirectionalHashMap<java.lang.Long,Edge>` | `getEdgeMap()` Returns the `edge map`.
`BidirectionalHashMap<java.lang.Integer,java.lang.String>` | `getEdgeTypes()` Returns the `edge types map`.
`BidirectionalHashMap<java.lang.Long,Node>` | `getNodeMap()` Returns the `node map`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exportNodeTypes

    public static java.util.HashMap<java.lang.String,java.lang.String> exportNodeTypes

  Mapping of GroIMP node types to standard XEG node types.

### importNodeTypes

    public static java.util.HashMap<java.lang.String,java.lang.String> importNodeTypes

  Mapping of standard XEG node types to GroIMP node types.

### xegNodeTypes

    public static java.util.HashMap<java.lang.Class,java.lang.Class> xegNodeTypes

  Mapping of GroIMP node types to XEG helper classes for import and export.

Constructor Detail

### IOContext

    public IOContext()

Method Detail

### getEdgeMap

    public BidirectionalHashMap<java.lang.Long,Edge> getEdgeMap()

  Returns the `edge map`.

  Returns:
    edge map

### getEdgeTypes

    public BidirectionalHashMap<java.lang.Integer,java.lang.String> getEdgeTypes()

  Returns the `edge types map`.

  Returns:
    edge types map

### getNodeMap

    public BidirectionalHashMap<java.lang.Long,Node> getNodeMap()

  Returns the `node map`.

  Returns:

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD